
ACSA HK Bill Payment SDK - Bug #13095

[VST - Backoffice] Bill History search Criteria

09 February 2022 06:19 PM - Jun Hui  Yap

Status: Closed Start date: 09 February 2022

Priority: High Due date:  

Assignee: Jun Hui  Yap % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Few issues on Bill History search Criteria fields.

1. Unique Reference Number, search criteria is not default to "contain".

2. Unique Reference Number, when input certain value and select any search criteria to search will hit error 500.

3. Merchant Bill Account Number is not working, no matter correct or incorrect input, search result also remain the same.

History

#1 - 10 February 2022 04:07 PM - Lim Sze Xiang

- Status changed from New to Assigned

- Assignee changed from Lim Sze Xiang to Shafiqah Rahni

#2 - 11 February 2022 10:32 AM - Shafiqah Rahni

- Status changed from Assigned to Resolved

- Assignee changed from Shafiqah Rahni to Lim Sze Xiang

- % Done changed from 0 to 100

BO

Revision: 216155

----

Modified : /ACSA/BillPaymentBO/trunk/webadmin/src/app/routes/billhistory/billhistory-list/billhistory-list.component.ts

WS

Revision: 216154

----

Modified : /ACSA/BillPaymentAPI/trunk/src/main/java/com/silverlake/mobility/billing/dao/BillHistoryDAOImpl.java

Modified : /ACSA/BillPaymentAPI/trunk/src/main/java/com/silverlake/mobility/billing/service/dto/BillHistorySearchBoReqDTO.java

#3 - 16 February 2022 01:05 PM - Lim Sze Xiang

- Assignee changed from Lim Sze Xiang to Jun Hui  Yap

#4 - 16 February 2022 07:19 PM - Jun Hui  Yap

- File 13095.docx added

- Status changed from Resolved to Closed

Tested good.
13095.docx 72.8 KB 16 February 2022 Jun Hui  Yap
